
import java.lang.*;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.awt.image.*;

import javax.swing.*; 
import javax.swing.event.*;
import javax.swing.border.*;


class CoordinateArea extends JPanel {
    Point point = null;
    ITS_Graph3 controller;
    Dimension preferredSize; 

    public CoordinateArea(ITS_Graph3 controller) {
        this.controller = controller;

        Border raisedBevel = BorderFactory.createRaisedBevelBorder();
        Border loweredBevel = BorderFactory.createLoweredBevelBorder();
        Border compound = BorderFactory.createCompoundBorder
                              (raisedBevel, loweredBevel);
        setBorder(compound);

        addMouseListener(new MouseAdapter() {
            public void mousePressed(MouseEvent e) {
                int x = e.getX();
                int y = e.getY();
                if (point == null) {
                    point = new Point(x, y);
                } else {
                    point.x = x;
                    point.y = y;
                }
                repaint();
            }
        });
    }

    public Dimension getPreferredSize() {
        return preferredSize;
    }

    public void paintComponent(Graphics g) { g.setColor(Color.black);
        super.paintComponent(g);  //paint background

        //If user has chosen a point, paint a tiny rectangle on top.
        if (point != null) {
	    try{
            controller.updateLabel(point,this);
            g.fillRect(point.x, point.y, 4, 4);
	    }
	    catch (Exception e) {}
        }
    }
}

