
import java.lang.*;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.awt.image.*;

class SBList {

    String path;
    int size;
    int tWindow;
    int[] time ;
    int[] MTa;
    int[] MTb;
    float[] Prob;
    
    float[] ProbLink;
    float PostMean;float PostVar;
    float[] EstimatorConv;
    
    public SBList(){
    	
	size=0;
    
    }
    public void InitList(){
    
    	ProbLink=new float[7];
	EstimatorConv=new float[2];	
    	path= "../../Learning/SupervisedLearning" + System.getProperty("file.separator") + "APostList";
   	String ligne = null;
   	String[] value = null;
   	     
   	try{
     		
		RandomAccessFile p= new RandomAccessFile(path,"r");
     		
		ligne  =p.readLine();
     		value =ligne.split("  ");
		for (int i=0;i<7;i++){ProbLink[i]= (float) Float.parseFloat(value[i]);}
		
		ligne  =p.readLine();
     		value =ligne.split("  ");
		PostMean=(float) Float.parseFloat(value[0]);
		PostVar=(float) Float.parseFloat(value[1]);
		
		ligne  =p.readLine();
     		value =ligne.split("  ");
		EstimatorConv[0]=(float) Float.parseFloat(value[0]);
		EstimatorConv[1]=(float) Float.parseFloat(value[1]);
		
		ligne  =p.readLine();
     		value =ligne.split("  ");
		tWindow=(int) Float.parseFloat(value[0]);
		
		size=0;
		while (p.readLine()!=null){
			size++;
		}
		Allocate();

	} 
  	catch (Exception e) {System.err.println("problem reading APostList file\n");}     
       
    }
    public void ReadList(){
    	
	String ligne = null;
   	String[] value = null;
	
   	try{
     		RandomAccessFile p= new RandomAccessFile(path,"r");
     		for (int i=0;i<4;i++){
			ligne  =p.readLine();
     			value =ligne.split("  ");
		}
		for (int i=0;i<size;i++){
			
			ligne  =p.readLine();
     			value  =ligne.split("  ");
			MTa[i]= (int) Float.parseFloat(value[0]);
			MTb[i]= (int) Float.parseFloat(value[1]);
			time[i]=(int) Float.parseFloat(value[2]);
			Prob[i]=(float) Float.parseFloat(value[3]);
		}
		
	} 
  	catch (Exception e) {System.err.println("problem reading APostList file\n");}     
      
    }
    public void ReadInvList(){
    	
	String ligne = null;
   	String[] value = null;
	
   	try{
     		RandomAccessFile p= new RandomAccessFile(path,"r");
     		for (int i=0;i<4;i++){
			ligne  =p.readLine();
     			value =ligne.split("  ");
		}
		for (int i=0;i<size;i++){
			
			ligne  =p.readLine();
     			value  =ligne.split("  ");
			MTa[size-i-1]= (int) Float.parseFloat(value[0]);
			MTb[size-i-1]= (int) Float.parseFloat(value[1]);
			time[size-i-1]=(int) Float.parseFloat(value[2]);
			Prob[size-i-1]=(float) Float.parseFloat(value[3]);
		}
		
	} 
  	catch (Exception e) {System.err.println("problem reading APostList file\n");}     
      
    }
    private void Allocate()
    {
        
	time=new int[size];
	MTa=new int[size];
	MTb=new int[size];
	Prob=new float[size];
	
    }
}
